Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.puremvc.java.patterns.observer
Class Notifier

    java.lang.Object
      org.puremvc.java.patterns.observer.Notifier

Direct Known Subclasses:
  MacroCommand, Mediator, Proxy, SimpleCommand

    public class Notifier

extends java.lang.Object

A Base `INotifier` implementation.

`MacroCommand, Command, Mediator` and `Proxy` all have a need to send `Notifications`.

The `INotifier` interface provides a common method called `sendNotification` that relieves implementation code of the necessity to actually construct `Notifications`.

The `Notifier` class, which all of the above mentioned classes extend, provides an initialized reference to the `Facade` Singleton, which is required for the convienience method for sending `Notifications`, but also eases implementation as these classes have frequent `Facade` interactions and usually require access to the facade anyway.

See Also:
  `Facade`, `Mediator`, `Proxy`, `SimpleCommand`, `MacroCommand`

Field Summary
`protected Facade` | `facade` Local reference to the Facade Singleton

Constructor Summary
`Notifier()`

Method Summary
`void` | `sendNotification(java.lang.String notificationName)` Send an `INotification`s.
`void` | `sendNotification(java.lang.String notificationName, java.lang.Object body)` Send an `INotification`s.
`void` | `sendNotification(java.lang.String notificationName, java.lang.Object body, java.lang.String type)` Send an `INotification`s.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### facade

    protected Facade facade

  Local reference to the Facade Singleton

Constructor Detail

### Notifier

    public Notifier()

Method Detail

### sendNotification

    public void sendNotification(java.lang.String notificationName,
                                 java.lang.Object body,
                                 java.lang.String type)

  Send an `INotification`s.

  Keeps us from having to construct new notification instances in our implementation code.

  Parameters:
    `notificationName` - the name of the notiification to send
    `body` - the body of the notification (optional)
    `type` - the type of the notification (optional)

### sendNotification

    public void sendNotification(java.lang.String notificationName,
                                 java.lang.Object body)

  Send an `INotification`s.

  Keeps us from having to construct new notification instances in our implementation code.

  Parameters:
    `notificationName` - the name of the notiification to send
    `body` - the body of the notification (optional)

### sendNotification

    public void sendNotification(java.lang.String notificationName)

  Send an `INotification`s.

  Keeps us from having to construct new notification instances in our implementation code.

  Parameters:
    `notificationName` - the name of the notiification to send

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD